=== debian/changelog ===
hypre (2.4.0b-7) unstable; urgency=low

  * Changed BLAS and LAPACK libs to blas and lapack (closes: #590984).
  * Changed to Debian Science maintenance with Adam Powell as an uploader.
  * Added lintian overrides for Adam Powell's name.
  * Changed to source format 3.0 (quilt).
  * Other control file updates.
  * Bumped Standards-Version.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 04 Aug 2010 21:23:58 -0400

hypre (2.4.0b-6) unstable; urgency=low

  * Added libltdl-dev to Build-Depends (closes: #559930).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 07 Dec 2009 17:22:27 -0500

hypre (2.4.0b-5) unstable; urgency=low

  * Added libtool to Build-Depends, run libtoolize, and copy ltdl.{c,h} into
    src/babel-runtime/sidl (closes: #559834).
  * Copy new config.{sub,guess} into config dir (closes: #559484).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 07 Dec 2009 13:29:30 -0500

hypre (2.4.0b-4) unstable; urgency=low

  * Added automake and autoconf to Build-Depends, and aclocal and autoconf to
    build target (closes: #545056, #554709)
  * Added README.source to describe patch system.
  * Bumped Standards-Version.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 17 Nov 2009 10:10:47 -0500

hypre (2.4.0b-3) unstable; urgency=low

  * Removed backslash from Build-Depends (closes: #535301).
  * Updated Standards-Version.
  * Updated debhelper Build-Depends version.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 20 Jul 2009 15:30:30 -0400

hypre (2.4.0b-2) unstable; urgency=low

  * Rebuild against new openmpi.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 20 Mar 2009 11:40:12 -0400

hypre (2.4.0b-1) unstable; urgency=low

  * New upstream release (closes: #498291, #498733).
  * Documentation source from upstream is now in src/docs.
  * Using quilt now to manage patches.
  * Changed to libtool-revision style of shared library naming libXX-version.so
    and changed shlib package name accordingly.
  * Using mpi-default-dev instead of explicitly depending on openmpi or lam
    (closes: #509780).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 26 Dec 2008 01:35:57 -0500

hypre (2.0.0.dfsg-7) unstable; urgency=low

  * Changed libhypre-dev Depends to pull in proper MPI implementation
    using type-handling (closes: #487253).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 23 Jun 2008 15:38:19 -0400

hypre (2.0.0.dfsg-6) unstable; urgency=low

  * Changed -lmpi_cxx to more generic -lmpi++, and removed -lstdc++,
    instead using BUILD_CXX_SHARED (closes: #484341, #484196).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 03 Jun 2008 23:36:05 -0400

hypre (2.0.0.dfsg-5) unstable; urgency=low

  * Added LAPACK to Build-Depends, corrected lib names (closes: #484341,
    #484196).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 03 Jun 2008 19:03:39 -0400

hypre (2.0.0.dfsg-4) unstable; urgency=low

  * Build-Depends on BLAS instead of ATLAS, same with -dev Depends.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 27 May 2008 15:57:37 -0400

hypre (2.0.0.dfsg-3) unstable; urgency=low

  * Build-depends on OpenMPI where it exists, LAM otherwise.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 30 Apr 2008 15:02:25 -0400

hypre (2.0.0.dfsg-2) unstable; urgency=low

  * Added gfortran to Build-Depends (closes: #477744).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 28 Apr 2008 18:59:19 -0400

hypre (2.0.0.dfsg-1) unstable; urgency=low

  * Removed docs directory because of lack of source.
  * New package closes same bugs as rejected hypre 2.0.0-1 (closes: #451738,
    #447673, #349885, #436230).
  * Updated atlas dependency to new libatlas-base-dev name.
  * Because -dev has only headers and symlinks (no static libs), made it
    arch all.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 16 Apr 2008 12:02:12 -0400

hypre (2.0.0-1) unstable; urgency=low

  * New upstream release (closes: #451738).
  * Builds against OpenMPI (closes: #447673).
  * libhypre2.0.0 doesn't need to conflict with and replace older versions
    (closes: #349885).
  * No longer builds or installs included SuperLU (closes: #436230).
  * Only builds shared libs for now, will change this if somebody bugs me.
  * Forward-ported shared library versioning.
  * Forward-ported inter-lib links to satisfy dh_shlibdeps.
  * Created a new lib to resolve HYPRE_FEI and HYPRE_mli inter-lib dependency.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 21 Nov 2007 13:21:32 -0500

hypre (1.6.0-4) unstable; urgency=low

  * Rebuild with new mpich and linked against libblas-3.so.
  * Fixed configure to actually use -with-blas= value.
  * Fixed build-depends, replacing obsolete mpich with libmpich1.0-dev and
    adding version 3 BLAS dev.
  * Appended c2 to shared lib package name since it includes C++ objects.
  * Massive changes to link shared libs with all of their dependent libs.
  * Removed HYPRE_BuildIJMatrixFromDistributedMatrix() because it uses an
    obsolete IJ_mv API.
  * Got rid of a bunch of @s in Makefiles to make build more transparent.
  * Added libHYPRE_Euclid to SSTRUCT_LFLAGS in test/Makefile.in so it works.
  * Added Makefile removal to clean target to avoid bloated .diff.gz.
  * Added installation of lintian overrides files.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu,  8 Sep 2005 23:22:43 -0400

hypre (1.6.0-3) unstable; urgency=low

  * Commented -DBOOL_NOT_SUPPORTED erroneous flags in
    src/FEI_mv/fei-hypre/Makefile.in (closes: #249525).
  * Removed gcc | c-compiler from Build-Depends.
  * Added lintian overrides for GPL false positives in copyright file.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 11 Aug 2004 22:25:09 -0400

hypre (1.6.0-2) unstable; urgency=low

  * Added mpich to build-depends (closes: #220591).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 13 Nov 2003 10:28:17 -0500

hypre (1.6.0-1) unstable; urgency=low

  * First packaging attempt (closes: #207414).
  * Added shared library building to each Makefile.in.

