=== debian/control ===
Source: hypre
Section: math
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7), quilt, gfortran, autoconf, automake, libtool,
 libltdl-dev, libblas-dev | libblas-3gf.so, liblapack-dev | liblapack-3gf.so,
 libsuperlu3-dev, mpi-default-dev
Vcs-Git: git://git.debian.org/git/debian-science/packages/hypre.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/hypre.git
Homepage: http://acts.nersc.gov/hypre/

Package: libhypre-2.4.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: High Performance Matrix Preconditioners - Shared Library
 Hypre is a set of matrix preconditioning libraries to aid in the solution of
 large systems of linear equations.
 .
 This package contains the shared libraries.

Package: libhypre-dev
Architecture: all
Section: libdevel
Depends: libhypre-2.4.0 (>= ${source:Version}), libsuperlu3-dev, mpi-default-dev,
 libblas-dev | libblas-3gf.so, liblapack-dev | liblapack-3gf.so, ${misc:Depends}
Suggests: hypre-doc
Description: High Performance Matrix Preconditioners - Development Files
 Hypre is a set of matrix preconditioning libraries to aid in the solution of
 large systems of linear equations.
 .
 This package contains the headers and symlinks necessary to develop programs
 which use hypre.
